/*!
 * Copyright (c) 2015-2021 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *   Eric Poirier <eric.poirier@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

 const eclipseFdnEclipseDownloads = (function( jQuery, window, document ) {
  // Reposition hover boxes so they are always centered
  $(window).on('load resize', function(){
    $('.downloads-items').each(function(){
      var itemBoxWidth = $(this).width() + 30;
      console.log(itemBoxWidth);
      var hoverBoxWidth = 230;
      var spacing = (itemBoxWidth - hoverBoxWidth) / 2;
      $(this).find('.downloads-items-hover-box').css({ "left": spacing });
    });
  });

  // [Bug 496502] New: Eclipse Packages Platform Selection Drop-down does not update links/change anything
  jQuery(document).ready(function($) {
    function getUrlVars() {
        var vars = {};
        var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
            vars[key] = value;
        });
        return vars;
    }

    var release = getUrlVars()["release"];
    $("#osSelect").change(function() {
      var src = '?osType=' + $("option:selected", this).val();
      if(release != "undefined"){
        src += "&release=" + release;
      }
      window.location = src;
    });
  });
})( jQuery, window, document );

export default eclipseFdnEclipseDownloads;




